Subject: bug#55616: closed (Re: bug#55616: gcc-12-strmov-store-file-names.patch is missing?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 May 2022 19:55:01 +0000

Your bug report

#55616: gcc-12-strmov-store-file-names.patch is missing?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55616: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55616
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55616: gcc-12-strmov-store-file-names.patch is missing?
From: Ludovic Courtès <[email-masked]>
To: Tim Rakowski <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 May 2022 21:54:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tim Rakowski <[email-masked]> skribis:

> $ guix uprade
> The following packages will be upgraded:
>    ...
>    gcc-toolchain      11.2.0 → 12.1.0
>    ...
> guix upgrade: error: gcc-12-strmov-store-file-names.patch: patch not found
>
> As far as I can tell,
> https://github.com/guix-mirror/guix/commit/37e29ccd332f371aacedc71388e805fbc9e947fa
> added gcc-12, which depends on gcc-12-strmov-store-file-names.patch but
> failed to add the file to
> https://github.com/guix-mirror/guix/tree/master/gnu/packages/patches, where
> the older gcc*-strmov-store-file-names.patch are located.

My bad.  This is fixed by cdb6b19b5fc6fec94d7a27062ef87dca9e4bbcee.

Thanks for the heads-up!

Ludo’.

Subject: gcc-12-strmov-store-file-names.patch is missing?
From: Tim Rakowski <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2022 21:26:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm currently observing the following problem:

$ guix describe
Generation 8    May 24 2022 20:15:17    (current)
  guix 01793ed
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 01793ed03e8aa0960bff7adc21fd270e1527e68e
$ guix uprade
The following packages will be upgraded:
   ...
   gcc-toolchain      11.2.0 → 12.1.0
   ...
guix upgrade: error: gcc-12-strmov-store-file-names.patch: patch not found

As far as I can tell,
https://github.com/guix-mirror/guix/commit/37e29ccd332f371aacedc71388e805fbc9e947fa
added gcc-12, which depends on gcc-12-strmov-store-file-names.patch but
failed to add the file to
https://github.com/guix-mirror/guix/tree/master/gnu/packages/patches, where
the older gcc*-strmov-store-file-names.patch are located.

Regards,
Tim Rakowski